function beforeDrawChart(dom, domAttr, domClass, domConstruct, domStyle, query, registry, request) {
  var chartContainer = query("div.display_chart")[0];
  var listContainer = query("div[class^='display_table_showlistdiv'")[0];
  if (!chartContainer || !listContainer) {
    return;
  }
  domConstruct.place(chartContainer, listContainer, "before");
}

function getItem1Item1ChartDataset(data) {
  return {
    label: getItem1Item1ChartDatasetLabel(),
    data: getScatterData(data.entity, "temp", "powerConsumption"),
    backgroundColor: getItem1Item1ChartDatasetBgColor(),
    borderColor: getItem1Item1ChartDatasetBorderColor(),
    borderWidth: getChartBorderWidth(),
  };
}

function getTempChartOptions(defaultChartOption) {
  var option = defaultChartOption;
  option.legend = {
    display: false,
  }
  option.scales.xAxes[0].scaleLabel.labelString = "月";
  option.scales.yAxes[0].scaleLabel.labelString = "気温(℃)";
  option.scales.yAxes[0].ticks = {
    min: 0,
    max: 35,
  }
  return option;
}

function getPowerConsumptionChartOptions(defaultChartOption) {
  var option = defaultChartOption;
  option.legend = {
    display: false,
  }
  option.scales.xAxes[0].scaleLabel.labelString = "月";
  option.scales.yAxes[0].scaleLabel.labelString = "電力量(千kWh)";
  return option;
}

function getItem1ChartOptions(defaultChartOption) {
  var option = defaultChartOption;
console.log("option: ", option);
  option.legend = {
    display: false,
  }
  option.scales.xAxes[0].scaleLabel.labelString = "月別平均気温(℃)";
  option.scales.yAxes[0].scaleLabel.labelString = "販売電力量(千kWh)";
  return option;
}
